package voicebot;

public enum VoiceBotResponses {

	NOT_FOUND("no such command '%s'. See " + VoiceBot.PREFIX + "commands"), //

	MISSING_ARGUMENTS("Sorry, it looks like you're missing some arguments!"), //

	ADMIN_ONLY("Sorry, you have to be registered with nickserv to use this command"), //

	ENCODING_ERROR("%s, Expectation failed. UTF-8 encoding does not exist."), //

	COMMAND_INFO("%s • %s"), //
	COMMAND_INFO_ADMIN("%s • %s • admin only"), //
	COMMAND_SYNTAX("Syntax: %s[/%s] %s• %s"), //
	COMMAND_SYNTAX_NO_FLAGS("Syntax: %s %s• %s"), //
	COMMAND_FLAGS("--- This command supports the following flags ---"), //
	COMMAND_FLAG("%s • %s"), //
	COMMAND_NOTE("Note: %s");

	private final String value;

	private VoiceBotResponses(String value) {
		this.value = value;
	}

	@Override
	public String toString() {
		return value;
	}
}
